#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

kaishi = Time.now.to_i #現在の時刻を代入
teishi = gets.chomp #入力完了まで時間経過
syuryo = Time.now.to_i #Enter を押した時刻を代入
jikan = syuryo - kaishi #要した秒数を代入
printf("タイムは%d 秒です。\n", jikan) #要した秒数が出力
puts"あいうえおは、どっちだ"
puts"1:aiueo"
puts"2:auieo"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"せ、、正解"
    break
  elsif kotae==2
    puts"不正解不正解不正解不正解不正解不正解不正解不正解不正解不正解"
    redo
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"かきくけこさしすせそたちつてとはどっちだ"
puts"1:kakikukekosasisusesotatituteto"
puts"2:kakikukekosasisesusotatituteto"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"正解"
    break
  elsif kotae==2
    puts"不正解"
    puts"やり直し"
    redo
  else
    puts"その選択肢はないよ"
    redo
  end
end

puts"こんにちは、どっちだ"
puts"1:konnnitiha"
puts"2:konnitiha"
puts"3:konnnitoha"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"正解"
    break
    elsif kotae==2
    puts"不正解"
    puts"やり直し"
    redo
  elsif kotae==3
    puts"不正解"
    puts"やり直し"
    redo
  elsif
    puts"その選択肢はないよ"
    redo
  end
end

    
puts"なにぬねのはひふへほは、どっちだ"
puts"1:naninunonehahihuheho"
puts"2:naninunenohahihuhohe"
puts"3:naninunenohahihuheho"

while true
  print"答え入力:"
  kotae=gets.chomp.to_i
  if kotae==1
    puts"不正解"
    puts"やり直し"
    redo
  elsif kotae==2
    puts"やり直し"
    redo
  elsif kotae==3
    puts" 正解"
    break
  elsif
    puts"その選択肢は、ないよ"
    redo
  end
end

while true
print"あいうえおを打とうローマ字で打とう\n"
kotae=gets.chomp

if kotae=="aiueo"
  print"正解\n"
  break
else 
  print"やり直し\n"
  redo
end
end

while true
  print"こんにちはを打とう(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="konnnitiha"
    print"せ、、、、、正解\n"
    break
  else
    print"ハズレ、やり直し\n"
    redo
  end
end

while true
  print"かきくけこ(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="kakikukeko"
    print"正解\n"
    break
  else
    print"やり直し、不正解\n"
    redo
  end
end

while true
  print"さしすせそ(ローマ字)\n"
  kotae=gets.chomp
  
if  kotae=="sasisuseso"
  print"なんでわかるんだよ正解\n"
  break
else
  print"なんでわかるんだよ不正解\n"
  redo
end
end

while true
  print"たちつてと(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="tatituteto"
    print"もうー正解\n"
    break
  else
    print"もうー不正解\n"
    redo
  end
end

while true
  print"なにぬねの(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="naninuneno"
    print"まあー中々ね、心の中(正解)\n"
    break
  else
    print"本当ダメねー、心の中(次頑張れ)\n"
    redo
  end
end

while true
  print"はひふへほ(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="hahihuheho"
    print"正解\n"
    break
  else
    print"不正解\n"
    redo
  end
end

while true
  print"まみむめも(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="mamimumemo"
    print"正解\n"
    break
  else
    print"不正解\n"
    redo
  end
end

while true
  print"や ゆ よ(ローマ字)\n"
  kotae=gets.chomp

  if kotae=="yayuyo"
    print"正解\n"
    break
  else
    print"不正解\n"
    redo
  end
end

while true
  print"らりるれろ\n"
  kotae=gets.chomp

  if kotae=="rarirurero"
    print"正解\n"
    break
  else
    print"不正解\n"
    redo
  end
end

while true
  print"わ を ん\n"
  kotae=gets.chomp

  if kotae=="wawonn"
    print"正解\n"
    break
  else
    print"不正解\n"
    redo
  end
end

puts"おめでとうございます"
puts"次のスッテップごー"



